### Method

# FwupdPlugin Firmware set_version_format

since: 2.0.0

#### Declaration [src]

    void
    fu_firmware_set_version_format (
      FuFirmware* self,
      FwupdVersionFormat version_format
    )

#### Description [src]

Sets the version format.

Available since: 2.0.0

#### Parameters

`version_format`

  Type: `FwupdVersionFormat`

  The version format, e.g. `FWUPD_VERSION_FORMAT_NUMBER`.